Index: /trunk/gsdl/macros/thai.dm
===================================================================
--- /trunk/gsdl/macros/thai.dm	(revision 5491)
+++ /trunk/gsdl/macros/thai.dm	(revision 5492)
@@ -1,5 +1,5 @@
 ######################################################################
 #
-# English Language text and icon macros 
+# Thai Language text and icon macros 
 #
 ######################################################################
@@ -176,153 +176,153 @@
 
 ## "àž«àžà¹àž²à¹àž£àž" ## top_nav_button ## chome ##
-_httpiconchomeof_ {_httpimg_/chomeof.gif}
-_httpiconchomeon_ {_httpimg_/chomeon.gif}
+_httpiconchomeof_ [l=th] {_httpimg_/th/chomeof.gif}
+_httpiconchomeon_ [l=th] {_httpimg_/th/chomeon.gif}
 
 ## "àžà¹àž§àž¢à¹àž«àž¥àž·àž­" ## top_nav_button ## chelp ##
-_httpiconchelpof_ {_httpimg_/chelpof.gif}
-_httpiconchelpon_ {_httpimg_/chelpon.gif}
+_httpiconchelpof_ [l=th] {_httpimg_/th/chelpof.gif}
+_httpiconchelpon_ [l=th] {_httpimg_/th/chelpon.gif}
 
 ## "àžªàžŽàžàžàžŽàžàžŽà¹àžšàž©" ## top_nav_button ## cpref ##
-_httpiconcprefof_ {_httpimg_/cprefof.gif}
-_httpiconcprefon_ {_httpimg_/cprefon.gif}
+_httpiconcprefof_ [l=th] {_httpimg_/th/cprefof.gif}
+_httpiconcprefon_ [l=th] {_httpimg_/th/cprefon.gif}
 
 ## "àžªà¹àžàžàž¥àžªàž°àžà¹àž­àžàžàž¥àž±àž" ## top_nav_button ## cusab ##
-_httpiconcusabof_ {_httpimg_/cusabof.gif}
-_httpiconcusabon_ {_httpimg_/cusabon.gif}
+_httpiconcusabof_ [l=th] {_httpimg_/th/cusabof.gif}
+_httpiconcusabon_ [l=th] {_httpimg_/th/cusabon.gif}
 
 
 ## "àžà¹àž§àž¢à¹àž«àž¥àž·àž­" ## green_title ## h_help ##
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
+_httpiconhhelp_ [l=th] {_httpimg_/th/h\_help.gif}
+_widthhhelp_ [l=th] {200}
+_heighthhelp_ [l=th] {57}
 
 ## "àžàž±àžàžàž£àž°àžàž±àžàžà¹ à¹àž­àžàž¶àžà¹àžàž" ## nav_bar_button ## tauth ##
-_httpicontauthgr_ {_httpimg_/tauthgr.gif}
-_httpicontauthof_ {_httpimg_/tauthof.gif}
-_httpicontauthon_ {_httpimg_/tauthon.gif}
-_widthtauthx_ {110}
+_httpicontauthgr_ [l=th] {_httpimg_/th/tauthgr.gif}
+_httpicontauthof_ [l=th] {_httpimg_/th/tauthof.gif}
+_httpicontauthon_ [l=th] {_httpimg_/th/tauthon.gif}
+_widthtauthx_ [l=th] {121}
 
 # -- Missing translation: tcapt
 
 ## "àž­àžàžžàžàž£àž¡" ## nav_bar_button ## tser ##
-_httpicontsergr_ {_httpimg_/tsergr.gif}
-_httpicontserof_ {_httpimg_/tserof.gif}
-_httpicontseron_ {_httpimg_/tseron.gif}
-_widthtserx_ {87}
+_httpicontsergr_ [l=th] {_httpimg_/th/tsergr.gif}
+_httpicontserof_ [l=th] {_httpimg_/th/tserof.gif}
+_httpicontseron_ [l=th] {_httpimg_/th/tseron.gif}
+_widthtserx_ [l=th] {87}
 
 ## "àž§àž±àžàžàžµà¹" ## nav_bar_button ## tdate ##
-_httpicontdategr_ {_httpimg_/tdategr.gif}
-_httpicontdateof_ {_httpimg_/tdateof.gif}
-_httpicontdateon_ {_httpimg_/tdateon.gif}
-_widthtdatex_ {87}
+_httpicontdategr_ [l=th] {_httpimg_/th/tdategr.gif}
+_httpicontdateof_ [l=th] {_httpimg_/th/tdateof.gif}
+_httpicontdateon_ [l=th] {_httpimg_/th/tdateon.gif}
+_widthtdatex_ [l=th] {87}
 
 ## "àž«àž±àž§àžà¹àž­" ## nav_bar_button ## tsubj ##
-_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
-_httpicontsubjon_ {_httpimg_/tsubjon.gif}
-_httpicontsubjof_ {_httpimg_/tsubjof.gif}
-_widthtsubjx_ {87}
+_httpicontsubjgr_ [l=th] {_httpimg_/th/tsubjgr.gif}
+_httpicontsubjon_ [l=th] {_httpimg_/th/tsubjon.gif}
+_httpicontsubjof_ [l=th] {_httpimg_/th/tsubjof.gif}
+_widthtsubjx_ [l=th] {87}
 
 ## "àžàž¶àž" ## nav_bar_button ## tto ##
-_httpiconttogr_ {_httpimg_/ttogr.gif}
-_httpiconttoon_ {_httpimg_/ttoon.gif}
-_httpiconttoof_ {_httpimg_/ttoof.gif}
-_widthttox_ {87}
+_httpiconttogr_ [l=th] {_httpimg_/th/ttogr.gif}
+_httpiconttoon_ [l=th] {_httpimg_/th/ttoon.gif}
+_httpiconttoof_ [l=th] {_httpimg_/th/ttoof.gif}
+_widthttox_ [l=th] {87}
 
 ## "àžàž²àž" ## nav_bar_button ## tfrom ##
-_httpicontfromgr_ {_httpimg_/tfromgr.gif}
-_httpicontfromon_ {_httpimg_/tfromon.gif}
-_httpicontfromof_ {_httpimg_/tfromof.gif}
-_widthtfromx_ {87}
+_httpicontfromgr_ [l=th] {_httpimg_/th/tfromgr.gif}
+_httpicontfromon_ [l=th] {_httpimg_/th/tfromon.gif}
+_httpicontfromof_ [l=th] {_httpimg_/th/tfromof.gif}
+_widthtfromx_ [l=th] {87}
 
 ## "àž­àžàžà¹àžàž£" ## nav_bar_button ## torg ##
-_httpicontorggr_{_httpimg_/torggr.gif}
-_httpicontorgon_{_httpimg_/torgon.gif}
-_httpicontorgof_{_httpimg_/torgof.gif}
-_widthtorgx_ {114}
+_httpicontorggr_ [l=th] {_httpimg_/th/torggr.gif}
+_httpicontorgon_ [l=th] {_httpimg_/th/torgon.gif}
+_httpicontorgof_ [l=th] {_httpimg_/th/torgof.gif}
+_widthtorgx_ [l=th] {87}
 
 ## "àž­àž¢à¹àž²àžà¹àž£" ## nav_bar_button ## thow ##
-_httpiconthowgr_{_httpimg_/thowgr.gif}
-_httpiconthowon_{_httpimg_/thowon.gif}
-_httpiconthowof_{_httpimg_/thowof.gif}
-_widththowx_ {87}
+_httpiconthowgr_ [l=th] {_httpimg_/th/thowgr.gif}
+_httpiconthowon_ [l=th] {_httpimg_/th/thowon.gif}
+_httpiconthowof_ [l=th] {_httpimg_/th/thowof.gif}
+_widththowx_ [l=th] {87}
 
 ## "àž«àž±àž§àžà¹àž­" ## nav_bar_button ## ttopic ##
-_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
-_httpiconttopicon_{_httpimg_/ttopicon.gif}
-_httpiconttopicof_{_httpimg_/ttopicof.gif}
-_widthttopicx_ {87}
+_httpiconttopicgr_ [l=th] {_httpimg_/th/ttopicgr.gif}
+_httpiconttopicon_ [l=th] {_httpimg_/th/ttopicon.gif}
+_httpiconttopicof_ [l=th] {_httpimg_/th/ttopicof.gif}
+_widthttopicx_ [l=th] {87}
 
 ## "àžà¹àžàž«àž²" ## nav_bar_button ## tbrwse ##
-_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
-_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
-_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
-_widthtbrwsex_ {87}
+_httpicontbrwsegr_ [l=th] {_httpimg_/th/tbrwsegr.gif}
+_httpicontbrwseon_ [l=th] {_httpimg_/th/tbrwseon.gif}
+_httpicontbrwseof_ [l=th] {_httpimg_/th/tbrwseof.gif}
+_widthtbrwsex_ [l=th] {87}
 
 ## "àžªàž·àžàžà¹àž" ## nav_bar_button ## tsrch ##
-_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
-_httpicontsrchof_ {_httpimg_/tsrchof.gif}
-_httpicontsrchon_ {_httpimg_/tsrchon.gif}
-_widthtsrchx_ {87}
+_httpicontsrchgr_ [l=th] {_httpimg_/th/tsrchgr.gif}
+_httpicontsrchof_ [l=th] {_httpimg_/th/tsrchof.gif}
+_httpicontsrchon_ [l=th] {_httpimg_/th/tsrchon.gif}
+_widthtsrchx_ [l=th] {87}
 
 ## "àžàž·à¹àž­à¹àž£àž·à¹àž­àž à¹àž­àžàž¶àžà¹àžàž" ## nav_bar_button ## ttitl ##
-_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
-_httpiconttitlof_ {_httpimg_/ttitlof.gif}
-_httpiconttitlon_ {_httpimg_/ttitlon.gif}
-_widthttitlx_ {87}
+_httpiconttitlgr_ [l=th] {_httpimg_/th/ttitlgr.gif}
+_httpiconttitlof_ [l=th] {_httpimg_/th/ttitlof.gif}
+_httpiconttitlon_ [l=th] {_httpimg_/th/ttitlon.gif}
+_widthttitlx_ [l=th] {98}
 
 ## "àžàž" ## nav_bar_button ## tpeop ##
-_httpicontpeopgr_ {_httpimg_/tpeopgr.gif}
-_httpicontpeopof_ {_httpimg_/tpeopof.gif}
-_httpicontpeopon_ {_httpimg_/tpeopon.gif}
-_widthtpeopx_ {97}
+_httpicontpeopgr_ [l=th] {_httpimg_/th/tpeopgr.gif}
+_httpicontpeopof_ [l=th] {_httpimg_/th/tpeopof.gif}
+_httpicontpeopon_ [l=th] {_httpimg_/th/tpeopon.gif}
+_widthtpeopx_ [l=th] {87}
 
 ## "àž àž²àž©àž²" ## nav_bar_button ## tlang ##
-_httpicontlanggr_ {_httpimg_/tlanggr.gif}
-_httpicontlangon_ {_httpimg_/tlangon.gif}
-_httpicontlangof_ {_httpimg_/tlangof.gif}
-_widthtlangx_ {87}
+_httpicontlanggr_ [l=th] {_httpimg_/th/tlanggr.gif}
+_httpicontlangon_ [l=th] {_httpimg_/th/tlangon.gif}
+_httpicontlangof_ [l=th] {_httpimg_/th/tlangof.gif}
+_widthtlangx_ [l=th] {87}
 
 ## "àžàž±àž§àž¢à¹àž­" ## nav_bar_button ## tacro ##
-_httpicontacrogr_ {_httpimg_/tacrogr.gif}
-_httpicontacroof_ {_httpimg_/tacroof.gif}
-_httpicontacroon_ {_httpimg_/tacroon.gif}
-_widthtacrox_ {87}
+_httpicontacrogr_ [l=th] {_httpimg_/th/tacrogr.gif}
+_httpicontacroof_ [l=th] {_httpimg_/th/tacroof.gif}
+_httpicontacroon_ [l=th] {_httpimg_/th/tacroon.gif}
+_widthtacrox_ [l=th] {87}
 
 #TODO singular or plural?
 
 ## "àž§àž¥àžµ" ## nav_bar_button ## tphrse ##
-_httpicontphrsegr_ {_httpimg_/tphrsegr.gif}
-_httpicontphrseof_ {_httpimg_/tphrseof.gif}
-_httpicontphrseon_ {_httpimg_/tphrseon.gif}
-_widthtphrsex_ {87}
+_httpicontphrsegr_ [l=th] {_httpimg_/th/tphrsegr.gif}
+_httpicontphrseof_ [l=th] {_httpimg_/th/tphrseof.gif}
+_httpicontphrseon_ [l=th] {_httpimg_/th/tphrseon.gif}
+_widthtphrsex_ [l=th] {87}
 
 ## "àžšàžŽàž¥àžàžŽàž" ## nav_bar_button ## tartst ##
-_httpicontartstgr_ {_httpimg_/tartstgr.gif}
-_httpicontartstof_ {_httpimg_/tartstof.gif}
-_httpicontartston_ {_httpimg_/tartston.gif}
-_widthtartstx_ {87}
+_httpicontartstgr_ [l=th] {_httpimg_/th/tartstgr.gif}
+_httpicontartstof_ [l=th] {_httpimg_/th/tartstof.gif}
+_httpicontartston_ [l=th] {_httpimg_/th/tartston.gif}
+_widthtartstx_ [l=th] {87}
 
 ## "àžàž·à¹àž­à¹àžàž¥à¹" ## nav_bar_button ## tsrc ##
-_httpicontsrcgr_ {_httpimg_/tsrcgr.gif}
-_httpicontsrcof_ {_httpimg_/tsrcof.gif}
-_httpicontsrcon_ {_httpimg_/tsrcon.gif}
-_widthtsrcx_ {87}
+_httpicontsrcgr_ [l=th] {_httpimg_/th/tsrcgr.gif}
+_httpicontsrcof_ [l=th] {_httpimg_/th/tsrcof.gif}
+_httpicontsrcon_ [l=th] {_httpimg_/th/tsrcon.gif}
+_widthtsrcx_ [l=th] {87}
 
 ## "àž£àž«àž±àžªàžàž³" ## nav_bar_button ## tkw ##
-_httpicontkwgr_ {_httpimg_/tkwgr.gif}
-_httpicontkwof_ {_httpimg_/tkwof.gif}
-_httpicontkwon_ {_httpimg_/tkwon.gif}
-_widthtkwx_ {87}
+_httpicontkwgr_ [l=th] {_httpimg_/th/tkwgr.gif}
+_httpicontkwof_ [l=th] {_httpimg_/th/tkwof.gif}
+_httpicontkwon_ [l=th] {_httpimg_/th/tkwon.gif}
+_widthtkwx_ [l=th] {87}
 
 ## "à¹àžªàžµàž¢àž" ## nav_bar_button ## tvol ##
-_httpicontvolgr_ {_httpimg_/tvolgr.gif}
-_httpicontvolof_ {_httpimg_/tvolof.gif}
-_httpicontvolon_ {_httpimg_/tvolon.gif}
-_widthtvolx_ {87}
+_httpicontvolgr_ [l=th] {_httpimg_/th/tvolgr.gif}
+_httpicontvolof_ [l=th] {_httpimg_/th/tvolof.gif}
+_httpicontvolon_ [l=th] {_httpimg_/th/tvolon.gif}
+_widthtvolx_ [l=th] {87}
 
 ## "àžàž±àžà¹àžàž¥" ## top_nav_button ## ctrans ##
-_httpiconctransof_ {_httpimg_/en/ctransof.gif}
-_httpiconctranson_ {_httpimg_/en/ctranson.gif}
-_widthctrans_ {100}
+_httpiconctransof_ [l=th] {_httpimg_/th/ctransof.gif}
+_httpiconctranson_ [l=th] {_httpimg_/th/ctranson.gif}
+_widthctrans_ [l=th] {100}
 
 
@@ -353,7 +353,7 @@
 
 ## "à¹àžàžµà¹àž¢àž§àžàž±àž" ## green_title ## h_about ##
-_httpiconhabout_ {_httpimg_/h\_about.gif}
-_widthhabout_ {200}
-_heighthabout_ {57}
+_httpiconhabout_ [l=th] {_httpimg_/th/h\_about.gif}
+_widthhabout_ [l=th] {200}
+_heighthabout_ [l=th] {57}
 
 
@@ -425,97 +425,97 @@
 
 ## "àžàž·à¹àž­à¹àž£àž·à¹àž­àž a-z" ## green_title ## h_title ##
-_httpiconhtitle_ {_httpimg_/h\_title.gif}
-_widthhtitle_ {200}
-_heighthtitle_ {57}
+_httpiconhtitle_ [l=th] {_httpimg_/th/h\_title.gif}
+_widthhtitle_ [l=th] {200}
+_heighthtitle_ [l=th] {57}
 
 ## "àžàž¹à¹àžàž£àžàž±àžàžà¹ a-z" ## green_title ## h_auth ##
-_httpiconhauth_ {_httpimg_/h\_auth.gif}
-_widthhauth_ {200}
-_heighthauth_ {57}
+_httpiconhauth_ [l=th] {_httpimg_/th/h\_auth.gif}
+_widthhauth_ [l=th] {200}
+_heighthauth_ [l=th] {57}
 
 ## "àžªàž²àžàž²àž§àžŽàžàž²" ## green_title ## h_subj ##
-_httpiconhsubj_ {_httpimg_/h\_subj.gif}
-_widthhsubj_ {200}
-_heighthsubj_ {57}
+_httpiconhsubj_ [l=th] {_httpimg_/th/h\_subj.gif}
+_widthhsubj_ [l=th] {200}
+_heighthsubj_ [l=th] {57}
 
 ## "àžàž¶àž" ## green_title ## h_to ##
-_httpiconhto_ {_httpimg_/h\_to.gif}
-_widthhto_ {200}
-_heighthto_ {57}
+_httpiconhto_ [l=th] {_httpimg_/th/h\_to.gif}
+_widthhto_ [l=th] {200}
+_heighthto_ [l=th] {57}
 
 ## "àžàž²àž" ## green_title ## h_from ##
-_httpiconhfrom_ {_httpimg_/h\_from.gif}
-_widthhfrom_ {200}
-_heighthfrom_ {57}
+_httpiconhfrom_ [l=th] {_httpimg_/th/h\_from.gif}
+_widthhfrom_ [l=th] {200}
+_heighthfrom_ [l=th] {57}
 
 ## "àž¥àž³àžàž±àž" ## green_title ## h_ser ##
-_httpiconhser_ {_httpimg_/h\_ser.gif}
-_widthhser_ {200}
-_heighthser_ {57}
+_httpiconhser_ [l=th] {_httpimg_/th/h\_ser.gif}
+_widthhser_ [l=th] {200}
+_heighthser_ [l=th] {57}
 
 ## "àž§àž±àžàžàžµà¹" ## green_title ## h_date ##
-_httpiconhdate_ {_httpimg_/h\_date.gif}
-_widthhdate_ {200}
-_heighthdate_ {57}
+_httpiconhdate_ [l=th] {_httpimg_/th/h\_date.gif}
+_widthhdate_ [l=th] {200}
+_heighthdate_ [l=th] {57}
 
 ## "àžªàž­àžàž«àž£àž·àž­àž­àžàžŽàžàž²àž¢àž§àžŽàžàžµàžàž²àž£àžàž³" ## green_title ## h_how ##
-_httpiconhhow_ {_httpimg_/h\_how.gif}
-_widthhhow_ {200}
-_heighthhow_ {57}
+_httpiconhhow_ [l=th] {_httpimg_/th/h\_how.gif}
+_widthhhow_ [l=th] {200}
+_heighthhow_ [l=th] {57}
 
 ## "àž«àž±àž§àžà¹àž­" ## green_title ## h_topic ##
-_httpiconhtopic_ {_httpimg_/h\_topic.gif}
-_widthhtopic_ {200}
-_heighthtopic_ {57}
+_httpiconhtopic_ [l=th] {_httpimg_/th/h\_topic.gif}
+_widthhtopic_ [l=th] {200}
+_heighthtopic_ [l=th] {57}
 
 ## "àž­àžàžà¹àžàž£" ## green_title ## h_org ##
-_httpiconhorg_ {_httpimg_/h\_org.gif}
-_widthhorg_ {250}
-_heighthorg_ {57}
+_httpiconhorg_ [l=th] {_httpimg_/th/h\_org.gif}
+_widthhorg_ [l=th] {250}
+_heighthorg_ [l=th] {57}
 
 ## "à¹àž£àžµàž¢àžàžà¹àž­àž¡àž¹àž¥à¹àžàžàž²àž°àžªà¹àž§àžàžàž¶à¹àžàž¡àž²àžàž¹àž­àž¢à¹àž²àžàž£àž§àžà¹àž£à¹àž§" ## green_title ## h_brwse ##
-_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
-_widthhbrwse_ {200}
-_heighthbrwse_ {57}
+_httpiconhbrwse_ [l=th] {_httpimg_/th/h\_brwse.gif}
+_widthhbrwse_ [l=th] {200}
+_heighthbrwse_ [l=th] {57}
 
 ## "àžàž£àž°àžàž²àžàž" ## green_title ## h_people ##
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
+_httpiconhpeople_ [l=th] {_httpimg_/th/h\_people.gif}
+_widthhpeople_ [l=th] {200}
+_heighthpeople_ [l=th] {57}
 
 ## "àž àž²àž©àž²" ## green_title ## h_lang ##
-_httpiconhlanguage_ {_httpimg_/h\_lang.gif}
-_widthhlanguage_ {200}
-_heighthlanguage_ {57}
+_httpiconhlanguage_ [l=th] {_httpimg_/th/h\_lang.gif}
+_widthhlanguage_ [l=th] {200}
+_heighthlanguage_ [l=th] {57}
 
 ## "àžàž³àž¢à¹àž­àžàž­àžàžàž¢àž±àžàžàžàž°àžàž±àž§à¹àž£àžàžàž­àžàž«àž¥àž²àž¢àžàž³àž¡àž²àž£àž§àž¡àžàž±àž" ## green_title ## h_acro ##
-_httpiconhacronym_ {_httpimg_/h\_acro.gif}
-_widthhacronym_ {200}
-_heighthacronym_ {57}
+_httpiconhacronym_ [l=th] {_httpimg_/th/h\_acro.gif}
+_widthhacronym_ [l=th] {200}
+_heighthacronym_ [l=th] {57}
 
 ## "àž§àž¥àžµ" ## green_title ## h_phrse ##
-_httpiconhphrse_ {_httpimg_/h\_phrse.gif}
-_widthhphrse_ {200}
-_heighthphrse_ {57}
+_httpiconhphrse_ [l=th] {_httpimg_/th/h\_phrse.gif}
+_widthhphrse_ [l=th] {200}
+_heighthphrse_ [l=th] {57}
 
 ## "àžàž±àžàžšàžŽàž¥àžàž°" ## green_title ## h_artist ##
-_httpiconhartist_ {_httpimg_/h\_artist.gif}
-_widthhartist_ {200}
-_heighthartist_ {57}
+_httpiconhartist_ [l=th] {_httpimg_/th/h\_artist.gif}
+_widthhartist_ [l=th] {200}
+_heighthartist_ [l=th] {57}
 
 ## "àžàž·à¹àž­àž«àž¡àž§àžà¹àž­àžàžªàž²àž£" ## green_title ## h_src ##
-_httpiconhsrc_ {_httpimg_/h\_src.gif}
-_widthhsrc_ {200}
-_heighthsrc_ {57}
+_httpiconhsrc_ [l=th] {_httpimg_/th/h\_src.gif}
+_widthhsrc_ [l=th] {200}
+_heighthsrc_ [l=th] {57}
 
 ## "àžàž³à¹àžàž£àž«àž±àžª" ## green_title ## h_kw ##
-_httpiconhkw_ {_httpimg_/h\_kw.gif}
-_widthhkw_ {200}
-_heighthkw_ {57}
+_httpiconhkw_ [l=th] {_httpimg_/th/h\_kw.gif}
+_widthhkw_ [l=th] {200}
+_heighthkw_ [l=th] {57}
 
 ## "àžàž£àžŽàž¡àž²àž" ## green_title ## h_vol ##
-_httpiconhvol_ {_httpimg_/h\_vol.gif}
-_widthhvol_ {200}
-_heighthvol_ {57}
+_httpiconhvol_ [l=th] {_httpimg_/th/h\_vol.gif}
+_widthhvol_ [l=th] {200}
+_heighthvol_ [l=th] {57}
 
 # -- Missing translation: h_capt
@@ -523,34 +523,34 @@
 
 ## "àžà¹àž­à¹àžàž·à¹àž­àžàž«àž£àž·àž­à¹àž¡à¹?" ## top_nav_button ## cont ##
-_httpiconcontoff_ {_httpimg_/contof.gif}
-_httpiconconton_ {_httpimg_/conton.gif}
+_httpiconcontoff_ [l=th] {_httpimg_/th/contof.gif}
+_httpiconconton_ [l=th] {_httpimg_/th/conton.gif}
 
 ## "àžàž¢àž²àž¢à¹àžàžàž§àž²àž¡" ## document_button ## eallt ## 
-_httpiconealltof_ {_httpimg_/ealltof.gif}
-_httpiconeallton_ {_httpimg_/eallton.gif}
+_httpiconealltof_ [l=th] {_httpimg_/th/ealltof.gif}
+_httpiconeallton_ [l=th] {_httpimg_/th/eallton.gif}
 
 ## "à¹àžàž·à¹àž­àž«àž²àžàž­àžàžªàž±àžàžàž²" ## document_button ## econc ##
-_httpiconeconcof_ {_httpimg_/econcof.gif}
-_httpiconeconcon_ {_httpimg_/econcon.gif}
+_httpiconeconcof_ [l=th] {_httpimg_/th/econcof.gif}
+_httpiconeconcon_ [l=th] {_httpimg_/th/econcon.gif}
 
 ## "àžàž­àžàž­àž­àž" ## document_button ## edtch ##
-_httpiconedtchof_ {_httpimg_/edtchof.gif}
-_httpiconedtchon_ {_httpimg_/edtchon.gif}
+_httpiconedtchof_ [l=th] {_httpimg_/th/edtchof.gif}
+_httpiconedtchon_ [l=th] {_httpimg_/th/edtchon.gif}
 
 ## "àžàž¢àž²àž¢à¹àžàž·à¹àž­àž«àž²" ## document_button ## eexpc ##
-_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
-_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
+_httpiconeexpcof_ [l=th] {_httpimg_/th/eexpcof.gif}
+_httpiconeexpcon_ [l=th] {_httpimg_/th/eexpcon.gif}
 
 ## "à¹àžàžàž§àž²àž¡àžàž­àžàžªàž±àžàžàž²" ## document_button ## etsec ##
-_httpiconetsecof_ {_httpimg_/etsecof.gif}
-_httpiconetsecon_ {_httpimg_/etsecon.gif}
+_httpiconetsecof_ [l=th] {_httpimg_/th/etsecof.gif}
+_httpiconetsecon_ [l=th] {_httpimg_/th/etsecon.gif}
 
 ## "à¹àžà¹àž" ## document_button ## ehl ##
-_httpiconehlof_ {_httpimg_/ehlof.gif}
-_httpiconehlon_ {_httpimg_/ehlon.gif}
+_httpiconehlof_ [l=th] {_httpimg_/th/ehlof.gif}
+_httpiconehlon_ [l=th] {_httpimg_/th/ehlon.gif}
 
 ## "à¹àž¡à¹à¹àžà¹àž" ## document_button ## enhl ##
-_httpiconenhlof_ {_httpimg_/enhlof.gif}
-_httpiconenhlon_ {_httpimg_/enhlon.gif}
+_httpiconenhlof_ [l=th] {_httpimg_/th/enhlof.gif}
+_httpiconenhlon_ [l=th] {_httpimg_/th/enhlon.gif}
 
 
@@ -665,17 +665,17 @@
 
 ## "àžà¹àžàž«àž²" ## green_title ## h_search ##
-_httpiconhsearch_ {_httpimg_/h\_search.gif}
-_widthhsearch_ {200}
-_heighthsearch_ {57}
+_httpiconhsearch_ [l=th] {_httpimg_/th/h\_search.gif}
+_widthhsearch_ [l=th] {200}
+_heighthsearch_ [l=th] {57}
 
 ## "àžàž¥àž¥àž±àžàžà¹" ## green_bar_left_aligned ## qryresb ##
-_httpiconqryresb_ {_httpimg_/qryresb.gif}
-_widthqryresb_ {_pagewidth_}
-_heightqryresb_ {17}
+_httpiconqryresb_ [l=th] {_httpimg_/th/qryresb.gif}
+_widthqryresb_ [l=th] {_pagewidth_}
+_heightqryresb_ [l=th] {17}
 
 ## "àžàž£àž°àž§àž±àžàžŽ" ## green_bar_left_aligned ## schhistb ##
-_httpiconsrchhistb_ {_httpimg_/schhistb.gif}
-_widthsrchhistb_ {_pagewidth_}
-_heightsrchhistb_ {17}
+_httpiconsrchhistb_ [l=th] {_httpimg_/th/schhistb.gif}
+_widthsrchhistb_ [l=th] {_pagewidth_}
+_heightsrchhistb_ [l=th] {17}
 
 
@@ -752,7 +752,7 @@
 
 ## "àžªàžŽàžàžàžŽàžàžŽà¹àžšàž©" ## green_title ## h_pref ##
-_httpiconhpref_ {_httpimg_/h\_pref.gif}
-_widthhpref_ {200}
-_heighthpref_ {57}
+_httpiconhpref_ [l=th] {_httpimg_/th/h\_pref.gif}
+_widthhpref_ [l=th] {200}
+_heighthpref_ [l=th] {57}
 
 #####################################################################