Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 5529)
+++ /trunk/gli/classes/dictionary.properties	(revision 5530)
@@ -82,4 +82,5 @@
 #
 #***** Browser *****
+Browser.Address_Tooltip:URL to load
 Browser.Back:Back
 Browser.Bookmarks:Bookmarks
@@ -124,10 +125,4 @@
 CDM.ClassifierManager.Parsing.Message:Design tool is loading classifier information.
 CDM.ClassifierManager.Parsing.Title:Loading Classifiers
-CDM.General.Access:Is this collection publically accessible?
-CDM.General.Beta:Is this collection still under construction?
-CDM.General.Collection_Extra:Collection description:
-CDM.General.Collection_Name:Collection title:
-CDM.General.Icon_Collection:URL to about page icon:
-CDM.General.Icon_Collection_Small:URL to home page icon:
 CDM.FormatManager.Add:Add Format
 CDM.FormatManager.Assigned_Formats:Currently Assigned Format Commands
@@ -144,6 +139,16 @@
 CDM.FormatManager.Title:{39}{46}Format Commands{47}{34}
 CDM.FormatManager.Variable:Variables
+CDM.General.Access:This collection should be publicly accessible
+CDM.General.Beta:This collection is still under construction
+CDM.General.Collection_Extra:Collection description:
+CDM.General.Collection_Extra_Tooltip:A description of the purpose and contents of the collection
+CDM.General.Collection_Name:Collection title:
+CDM.General.Collection_Name_Tooltip:Name of the collection
 CDM.General.Email.Creator:Creator's Email
+CDM.General.Email.Creator_Tooltip:E-mail address of the collection's creator
 CDM.General.Email.Maintainer:Maintainer's Email
+CDM.General.Email.Maintainer_Tooltip:E-mail address of the collection's maintainer
+CDM.General.Icon_Collection:URL to about page icon:
+CDM.General.Icon_Collection_Small:URL to home page icon:
 CDM.General.Instructions:The design section of the Librarian Interface allows you to control many aspects of your collection's appearance. The design is split up into several sections. This section contains general options and settings. To choose a different section, click on its name in the list to the left.
 CDM.General.Title:{39}{46}General Options{47}{34}
@@ -207,18 +212,26 @@
 CDM.Move.Fixed:<html>RecPlug and ArcPlug are generally required to be last and so are fixed in place.<br>If you really must move them please hand edit the collect.cfg file.</html>
 CDM.Move.Move_Bottom:Move To Bottom
+CDM.Move.Move_Bottom_Tooltip:Move the selected item to the bottom of the list
 CDM.Move.Move_Down:Move Down
+CDM.Move.Move_Down_Tooltip:Move the selected item one step down the list
 CDM.Move.Move_Top:Move To Top
+CDM.Move.Move_Top_Tooltip:Move the selected item to the top of the list
 CDM.Move.Move_Up:Move Up
+CDM.Move.Move_Up_Tooltip:Move the selected item one step up the list
 CDM.Move.Title:Error - Cannot Move
 CDM.PlugInManager.Add:Add Plugin
+CDM.PlugInManager.Add_Tooltip:Add the specified plugin to the list
 CDM.PlugInManager.Assigned:Currently Assigned Plugins
 CDM.PlugInManager.Configure:Configure Selected Plugin
+CDM.PlugInManager.Configure_Tooltip:Change the options of the selected plugin
 CDM.PlugInManager.Controls:Editing Controls
 CDM.PlugInManager.Instructions:Use this view to add, configure or remove plugins from your collection. To add one choose it from the combobox and click 'Add Plugin'.\nTo configure or remove one, select it from the list of assigned plugins then:\ni)   Change its position in the plugin order by clicking on the arrow buttons. (Note: The position of RecPlug and ArcPlug are fixed).\nii)  Configure it by clicking 'Configure Plugin',\niii) Remove it by clicking 'Remove Plugin'.\n\nPlugins are configured using a pop-up design area with a scrollable list of arguments. Enable arguments and enter or select values as necessary.
 CDM.PlugInManager.PlugIn:Select plugin to add:
+CDM.PlugInManager.PlugIn_Tooltip:The plugins available for use in the collection
 CDM.PlugInManager.PlugIn_Exists:That plugin has already been assigned for this collection.
 CDM.PlugInManager.PlugIn_Str:plugin
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:GLI has been unable to determine the arguments for the {0}\nplugin. Please ensure that the plugin in question provides\nthe  -xml flag by running the pluginfo.pl script described\nin  section  2.1  of  the   Greenstone  Developers  Guide.
 CDM.PlugInManager.Remove:Remove Plugin
+CDM.PlugInManager.Remove_Tooltip:Remove the selected plugin from the list
 CDM.PlugInManager.Title:{39}{46}Plugin Selection & Configuration{47}{34}
 CDM.PlugInManager.Parsing.Message:Design tool is loading plugin information.
@@ -275,4 +288,5 @@
 Collection.Collection:{32}Collection: {0}{34}
 Collection.Delete_Tooltip:Delete selected files and folders
+Collection.Filter_Tooltip:Restrict the files shown in the file tree
 Collection.New_Folder_Tooltip:Create a new folder
 Collection.No_Collection:No Collection
@@ -564,5 +578,5 @@
 Menu.Metadata_Edit:Edit Set
 Menu.Metadata_Export:Export Set
-Menu.Metadata_View:Assigned Metadata for the
+Menu.Metadata_View:Assigned Metadata for the {0}
 Menu.Tools:Tools
 Menu.Tools_Log:View Log
@@ -618,4 +632,5 @@
 #***** MetaEditPrompt *****
 MetaEditPrompt.Accumulate_All:Append All
+MetaEditPrompt.Accumulate_All_Tooltip:Append this value to the selected metadata element, for all the selected files
 MetaEditPrompt.Add_Prompt:Confirm Append
 MetaEditPrompt.Current_Value:Current value:
@@ -624,8 +639,11 @@
 MetaEditPrompt.New_Value:New value:
 MetaEditPrompt.Overwrite_All:Replace All
+MetaEditPrompt.Overwrite_All_Tooltip:Assign this value to the selected metadata element, replacing the current value, for all the selected files
 MetaEditPrompt.Overwrite_Prompt:Confirm Replace
 MetaEditPrompt.Remove_All:Remove All
+MetaEditPrompt.Remove_All_Tooltip:Remove this value from the selected metadata element, for all the selected files
 MetaEditPrompt.Remove_Prompt:Confirm Removal
 MetaEditPrompt.Skip:Skip File
+MetaEditPrompt.Skip_Tooltip:Do not change this file
 MetaEditPrompt.Title:Confirm Edit Action
 #*****************************
@@ -634,6 +652,8 @@
 Mirroring.Destination_Folder:Destination Folder:
 Mirroring.Download:{39}Download{34}
+Mirroring.Download_Tooltip:Start a new download job
 Mirroring.Download_Controls:Download Settings
 Mirroring.Download_Depth:Download Depth:
+Mirroring.Download_Depth_Tooltip:How many hyperlinks deep to go when downloading
 Mirroring.Download_Hidden:Download embedded objects (images etc)?
 Mirroring.Further_Options:For further options see File->Preferences...
@@ -644,4 +664,5 @@
 Mirroring.Same_Host:Only mirror within the same site?
 Mirroring.Source_URL:Source URL:
+Mirroring.Source_URL_Tooltip:URL to download
 #*********************
 #