Index: trunk/gli/classes/dictionary.properties
===================================================================
--- trunk/gli/classes/dictionary.properties	(revision 5536)
+++ trunk/gli/classes/dictionary.properties	(revision 5537)
@@ -142,5 +142,5 @@
 CDM.General.Beta:This collection is still under construction
 CDM.General.Collection_Extra:Collection description:
-CDM.General.Collection_Extra_Tooltip:A description of the purpose and contents of the collection
+CDM.General.Collection_Extra_Tooltip:A description of the purpose and content of the collection
 CDM.General.Collection_Name:Collection title:
 CDM.General.Collection_Name_Tooltip:Name of the collection
@@ -179,7 +179,7 @@
 CDM.IndexManager.MGPP.Current_Levels:Currently Assigned Levels
 CDM.IndexManager.MGPP.Index:Index Source:
+CDM.IndexManager.MGPP.Index_Tooltip:Metadata element to build index on
 CDM.IndexManager.MGPP.Index_Name:Index Name:
 CDM.IndexManager.MGPP.Indexes:Manage Indexes
-CDM.IndexManager.MGPP.Instructions:Watch this space.
 CDM.IndexManager.MGPP.Level:Level Source:
 CDM.IndexManager.MGPP.Level_Name:Level Name:
@@ -214,9 +214,9 @@
 CDM.Move.Move_Bottom_Tooltip:Move the selected item to the bottom of the list
 CDM.Move.Move_Down:Move Down
-CDM.Move.Move_Down_Tooltip:Move the selected item one step down the list
+CDM.Move.Move_Down_Tooltip:Move the selected item down the list
 CDM.Move.Move_Top:Move To Top
 CDM.Move.Move_Top_Tooltip:Move the selected item to the top of the list
 CDM.Move.Move_Up:Move Up
-CDM.Move.Move_Up_Tooltip:Move the selected item one step up the list
+CDM.Move.Move_Up_Tooltip:Move the selected item up the list
 CDM.Move.Title:Error - Cannot Move
 CDM.PlugInManager.Add:Add Plugin
@@ -238,10 +238,13 @@
 CDM.PlugInManager.Parsing.Title:Loading PlugIns
 CDM.SearchTypeManager.Add:Add Search Type
+CDM.SearchTypeManager.Add_Tooltip:Allow the specified type of searching with this collection
 CDM.SearchTypeManager.Assigned:Currently Assigned Search Types
 CDM.SearchTypeManager.Enable:Enable Advanced Searches
 CDM.SearchTypeManager.Instructions:Defining the search type is an advanced feature only available when enabled (by checking the 'Enable Advanced Searches' box). Once enabled further controls for selecting and changing the order of search types become available. Select a search type from the combobox and 'Add Search Type', if enabled, to add the search type. Select an existing search type from the list, and use 'Move Up' and 'Move Down' to change the order, or 'Remove Search Type' to remove it.\n\nThe search types specify what kind of search interface should be provided: form, for fields searching, and/or plain for regular searching. The ordering is important as the first one will be used for the initial search page by default.\n\nIt is also important to note that enabling search types causes the appearance of the Indexes view to change as well. Fielded searching is a newer feature of Greenstone, and thus requires different index information. When search types is enabled all current indexes are modified to be valid indexes under the new schema, while disabling search types will cause GLI to do its best to convert new indexes back into the old style but it may not always be successful, in which case the indexes will be removed. In either case a copy of the original index command line will be available as a comment in the configuration file. 
 CDM.SearchTypeManager.Remove:Remove Search Type
+CDM.SearchTypeManager.Remove_Tooltip:Do not allow the selected type of searching with this collection
 CDM.SearchTypeManager.SearchType:Search Type
 CDM.SearchTypeManager.SearchType_Selection:Search Types:
+CDM.SearchTypeManager.SearchType_Selection_Tooltip:The search types available for use with this collection
 CDM.SearchTypeManager.Title:{39}{46}Search Type Selection & Ordering{47}{34}
 CDM.SubcollectionManager.Add:Add Filter
@@ -338,6 +341,6 @@
 #
 #***** Delete Collection Prompt *****
-DeleteCollectionPrompt.Collection_Details:Selected collections details.
-DeleteCollectionPrompt.Collection_List:Available collections.
+DeleteCollectionPrompt.Collection_Details:Selected collection's details
+DeleteCollectionPrompt.Collection_List:Available collections
 DeleteCollectionPrompt.Confirm_Delete:Please tick the box to confirm collection deletion.
 DeleteCollectionPrompt.Details:Title      - {0}\nFilename   - {1}\nCreator    - {2}\nMaintainer - {3}\nDescription\n{4}
@@ -420,6 +423,8 @@
 #***** GAuthenticator *****
 GAuthenticator.Password:Password:
+GAuthenticator.Password_Tooltip:Enter your password here
 GAuthenticator.Title:Password Required.
 GAuthenticator.Username:User Name:
+GAuthenticator.Username_Tooltip:Enter your username here
 #**************************
 #
@@ -747,7 +752,9 @@
 #***** New Session *****
 NewCollectionPrompt.Base_Collection:Base this collection on:
+NewCollectionPrompt.Base_Collection_Tooltip:Select an existing collection to base the new collection on
 NewCollectionPrompt.Collection_Description:Description of content:
 NewCollectionPrompt.Collection_Email:Author's Email:
 NewCollectionPrompt.Collection_Name:Short Name:
+NewCollectionPrompt.Collection_Name_Tooltip:Short collection name, used internally (must be 8 characters or less)
 NewCollectionPrompt.Collection_Title:Title:
 NewCollectionPrompt.Description_Error:The description field must be filled out. Please correct.