Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/build/ConstructCollection.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/build/ConstructCollection.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/build/ConstructCollection.java	(revision 5663)
@@ -7,5 +7,5 @@
 
 /** the class containing the main program for collection building - is essentially a wrapper around a CollectionConstructor
- * @see CollectionConstrutor
+ * @see CollectionConstructor
  */
 public class ConstructCollection 
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java	(revision 5663)
@@ -15,5 +15,4 @@
 
 /** The default greenstone receptionist - needs some extra info for each page
- * @see WebReceptionist
  */
 public class DefaultReceptionist extends TransformingReceptionist {
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/Increment.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/Increment.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/Increment.java	(revision 5663)
@@ -63,5 +63,5 @@
    * 
    * @param s the string to increment
-   * @see blank incrementString
+   * @see #incrementString(String)
    */
   final void checkStr(String s) {
@@ -82,5 +82,5 @@
    * @param s the string to convert
    * @return a string in hex
-   * @see Integer.toHexString
+   * @see Integer#toHexString(int)
    */
   static final String stringToHex(String s) {
@@ -98,5 +98,5 @@
    * @param s the string
    * @return the string in octal
-   * @see Integer.toOctalString
+   * @see Integer#toOctalString(int)
    */
   static final String stringToOctal(String s) {
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/IncrementRange.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/IncrementRange.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/IncrementRange.java	(revision 5663)
@@ -47,5 +47,4 @@
    * @param first the first character in the range
    * @param last the last character in the range
-   * @return the new IncrementRange
    * @see Increment
    */
@@ -57,5 +56,4 @@
    * Create a default IncrementRange
    * 
-   * @return the new IncrementRange
    * @see Increment
    */
@@ -66,5 +64,4 @@
    * Create a IncrementRange over all Unicode characters
    * 
-   * @return the new IncrementRange
    * @see Increment
    */
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/QueryDocumentStream.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/QueryDocumentStream.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/QueryDocumentStream.java	(revision 5663)
@@ -190,6 +190,4 @@
    * @param arg1 ...
    * @return ...
-   * @see blank
-   * @see blank
    */
   protected boolean lookInStream() throws Exception {
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/XMLUtil.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/XMLUtil.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/selfContained/XMLUtil.java	(revision 5663)
@@ -34,5 +34,4 @@
 .yeates@cs.waikato.ac.nz</a>) at the <a href="http://www.nzdl.org">New Zealand Digital Library</a>
  * @version $Revision$
- * @see blank
  * 
  */
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/service/XSLTServices.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/service/XSLTServices.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/service/XSLTServices.java	(revision 5663)
@@ -47,5 +47,5 @@
 
 /**
- * A ServicesImpl class for XSLT query. 
+ * A ServiceRack class for XSLT query. 
  *
  * Document ids are formed by encoding the document using standard URLEncoding
@@ -54,7 +54,7 @@
  * @author <a href="mailto:s.yeates@cs.waikato.ac.nz">Stuart Yeates</a>
  * @version $Revision$
- * @see ServicesImpl
- * @see java.net.URLEncode
- * @see java.net.URLDecode
+ * @see ServiceRack
+ * @see java.net.URLEncoder
+ * @see java.net.URLDecoder
  */
 
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java	(revision 5662)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java	(revision 5663)
@@ -59,5 +59,4 @@
    * Any exceptions thrown are caught internally
    * 
-   * @return a new transformer
    * @see javax.xml.transform.TransformerFactory
    */